Page MenuHomePhabricator

Fix debugserver's qProcessInfo reporting of maccatalyst binaries
ClosedPublic

Authored by aprantl on Jul 24 2020, 6:41 PM.

Details

Summary

This patch is similar in spirit to https://reviews.llvm.org/D84480, but does the maccatalyst/macosx disambiguation. I also took the opportunity to factor out the gdb-remote packet log scanning used by several testcases into lldbutil functions.

rdar://problem/66059257

Diff Detail

Event Timeline

aprantl created this revision.Jul 24 2020, 6:41 PM
friss added a comment.Aug 3 2020, 4:42 PM

This looks good outside of 2 cross-platform issues in the tests themselves.

lldb/test/API/macosx/macCatalyst/TestMacCatalyst.py
28

hardcoded architecture and no architecture decorator.

lldb/test/API/macosx/macCatalystAppMacOSFramework/TestMacCatalystAppWithMacOSFramework.py
28–29

ditto

This revision was not accepted when it landed; it landed in state Needs Review.Aug 4 2020, 4:42 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 4 2020, 4:42 PM